
From: Pavel Machek <pavel@suse.cz>

This fixes u32 vs. pm_message_t confusion in serials.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/serial/8250.c     |    2 +-
 25-akpm/drivers/serial/8250_pci.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/serial/8250.c~fix-u32-vs-pm_message_t-confusion-in-serials drivers/serial/8250.c
--- 25/drivers/serial/8250.c~fix-u32-vs-pm_message_t-confusion-in-serials	Thu Feb 17 16:40:10 2005
+++ 25-akpm/drivers/serial/8250.c	Thu Feb 17 16:40:10 2005
@@ -2316,7 +2316,7 @@ static int __devexit serial8250_remove(s
 	return 0;
 }
 
-static int serial8250_suspend(struct device *dev, u32 state, u32 level)
+static int serial8250_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	int i;
 
diff -puN drivers/serial/8250_pci.c~fix-u32-vs-pm_message_t-confusion-in-serials drivers/serial/8250_pci.c
--- 25/drivers/serial/8250_pci.c~fix-u32-vs-pm_message_t-confusion-in-serials	Thu Feb 17 16:40:10 2005
+++ 25-akpm/drivers/serial/8250_pci.c	Thu Feb 17 16:40:10 2005
@@ -1759,7 +1759,7 @@ static void __devexit pciserial_remove_o
 	}
 }
 
-static int pciserial_suspend_one(struct pci_dev *dev, u32 state)
+static int pciserial_suspend_one(struct pci_dev *dev, pm_message_t state)
 {
 	struct serial_private *priv = pci_get_drvdata(dev);
 
_
